Bug 1182491 - Fedora 22 Boost 1.58 Uplift
Summary: Fedora 22 Boost 1.58 Uplift
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SystemWideChange
Keywords: Tracking
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-15 09:33 UTC by Jaroslav Reznik
Modified: 2015-06-07 16:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
== Boost 1.57 == The set of widely used C++ libraries, Boost, has been updated to version 1.57 in Fedora 22. This update brings a number of bug fixes, performance improvements and enhancements. Boost 1.57 brings a soname bump. Fedora packages have been rebuilt using the updated libraries where necessary. Any other client packages must be rebuilt as well; this update does not preserve full ABI compatibility with previous releases. See the Boost 1.57 Release Notes (http://www.boost.org/users/history/version_1_57_0.html) for detailed information about changes in the new version.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-07 16:13:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-01-15 09:33:32 UTC
This is a tracking bug for Change: Fedora 22 Boost 1.58 Uplift
For more details, see: https://fedoraproject.org//wiki/Changes/F22Boost158

This change brings Boost 1.57.0 or later to Fedora 22.  We generally aim to ship 1.58.0, as that seems likely to make it (hence the Change name), but 1.57.0 is out and available now.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:53 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Jaroslav Reznik 2015-03-24 11:41:52 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 3 Petr Bokoc 2015-04-07 15:30:47 UTC
Hi Petr, we would like to include this change in F22 Beta Release Notes. Could you please tell me which version of Boost will be available in F22 Beta? The Change page mentions both 1.57 and 1.58.

Comment 4 Petr Machata 2015-04-07 17:35:14 UTC
Boost 1.57.0 is the one we ship in F22.

Comment 5 Petr Bokoc 2015-04-08 11:34:59 UTC
Thanks.

I wrote a draft release note; please take a look at the text in the Doc Text field and let me know if it's sufficient, or if there's anything you'd like to add or change.

Comment 6 Petr Machata 2015-04-08 13:26:59 UTC
I would recommend rebuilding all the clients.  The ones that use DSO's will of course not even start, but even those that don't, may hit ABI changes if they interface with third-party code that uses Boost types across API boundary.

Comment 7 Petr Bokoc 2015-04-08 13:45:59 UTC
Changed the second paragraph. Is it OK now?

Comment 8 Petr Machata 2015-04-08 20:02:49 UTC
Yep, good stuff.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.